<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HTML Forms</title>
</head>
<body>
    <h2>HTML Forms</h2>

    <!-- Create an HTML form -->
    <form action="">
        <!-- Create a label and input for full name -->
        <!-- Required will not allow the use to submit the form empty -->
        <!-- Autocomplete give some suggestions -->
        <label for="full-name">Full Name:</label>
        <input type="text" id="full-name" name="fullName" required autocomplete>
        
        <br>
        <!-- Create a date input -->
        <label for="birth-date">Birth Date:</label>
        <input type="date" id="birth-date" name="birthDate" required>
        
        <br>
        <!-- Create an age input -->
        <label for="age">Age:</label>
        <input type="number" id="age" name="age" required>
         
        <br>
        <!-- Create dropdown menu -->
        <!-- Value is the information that will be sent where the form is submitted -->
        <label for="gender">Gender:</label>
        <select name="gender" id="gender">
            <option value="male">
                Male
            </option>
            <option value="female">
                Female
            </option>
        </select>
         
        <br>
         <!-- Create a text area -->
         <label for="notes">Notes;</label>
         <textarea name="notes" id="notes" cols="60" rows="5" style="resize: none;"></textarea>
         
         <br>
         <!-- Create a radio input -->
         <label>New User:</label>
         <input type="radio" id="user-type1" name="newUser" value="yes">
         <label for="user-type1">Yes</label>
         <input type="radio" id="user-type2" name="newUser" value="no">
         <label for="user-type2">No</label>

        <br>
        <!-- Create checkbox input -->
        <label>Role:</label>
        <input type="checkbox" name="role1" id="role1" value="developer">
        <label for="role1">Developer</label>
        <br>
        <input type="checkbox" name="role2" id="role2" value="student">
        <label for="role2">Student</label>
        <br>
        <input type="checkbox" name="role3" id="role3" value="manager">
        <label for="role3">Manager</label>

        <br>
        <!-- Create a button that will trigger the form submission -->
        <button type="submit">Submit</button>
        <!-- Reset button allow us to clear the form -->
        <button type="reset">Reset</button>
    </form>
    
</body>
</html>